/***********************************************************************
 * Copyright (c) 2000-2006 The Apache Software Foundation.             *
 * All rights reserved.                                                *
 * ------------------------------------------------------------------- *
 * Licensed under the Apache License, Version 2.0 (the "License"); you *
 * may not use this file except in compliance with the License. You    *
 * may obtain a copy of the License at:                                *
 *                                                                     *
 *     http://www.apache.org/licenses/LICENSE-2.0                      *
 *                                                                     *
 * Unless required by applicable law or agreed to in writing, software *
 * distributed under the License is distributed on an "AS IS" BASIS,   *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or     *
 * implied.  See the License for the specific language governing       *
 * permissions and limitations under the License.                      *
 ***********************************************************************/

package org.apache.mailet.dates;

import java.util.Locale;

/**
 * A thread-safe date formatting class to produce dates formatted in accord with the
 * specifications of section 3.2 of RFC 2980.
 *
 */
public class RFC2980DateFormat extends SynchronizedDateFormat {

    /**
     * Constructor for RFC2980DateFormat
     */
    public RFC2980DateFormat() {
        super("yyyyMMddHHmmss", Locale.ENGLISH);
    }
}
